com.collabnet.ce.soap60.webservices.monitoring

## Class MonitoringSubscriptionSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.monitoring.MonitoringSubscriptionSoapRow

-     public class MonitoringSubscriptionSoapRow
      extends Object

  MonitoringSubscriptionList is used to get a list of monitoring subscriptions.
  Since:
    16.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringSubscriptionSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getIsObjectFolder()` Returns 'isObjectFolder'.
    `Date` | `getLastModifiedDate()` Returns 'lastModifiedDate'.
    `String` | `getObjectId()` Returns 'objectId'.
    `String` | `getObjectTitle()` Returns 'objectTitle'.
    `String` | `getProjectPathString()` Returns 'projectPathString'.
    `String` | `getProjectTitle()` Returns 'projectTitle'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setIsObjectFolder(boolean isObjectFolder)` Sets 'isObjectFolder'.
    `void` | `setLastModifiedDate(Date lastModifiedDate)` Sets 'lastModifiedDate'.
    `void` | `setObjectId(String objectId)` Sets 'objectId'.
    `void` | `setObjectTitle(String objectTitle)` Sets 'objectTitle'.
    `void` | `setProjectPathString(String projectPathString)` Sets 'projectPathString'.
    `void` | `setProjectTitle(String projectTitle)` Sets 'projectTitle'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitoringSubscriptionSoapRow

          public MonitoringSubscriptionSoapRow()

  - ### Method Detail

    - #### getIsObjectFolder

          public boolean getIsObjectFolder()

      Returns 'isObjectFolder'. Is monitored object a folder
      Returns:
        Value of 'isObjectFolder'.

    - #### setIsObjectFolder

          public void setIsObjectFolder(boolean isObjectFolder)

      Sets 'isObjectFolder'. Is monitored object a folder
      Parameters:
        `isObjectFolder` - Value of 'isObjectFolder'.

    - #### getLastModifiedDate

          public Date getLastModifiedDate()

      Returns 'lastModifiedDate'. The date the subscription was last modified.
      Returns:
        Value of 'lastModifiedDate'.

    - #### setLastModifiedDate

          public void setLastModifiedDate(Date lastModifiedDate)

      Sets 'lastModifiedDate'. The date the subscription was last modified.
      Parameters:
        `lastModifiedDate` - Value of 'lastModifiedDate'.

    - #### getObjectId

          public String getObjectId()

      Returns 'objectId'. The id of the monitored object
      Returns:
        Value of 'objectId'.

    - #### setObjectId

          public void setObjectId(String objectId)

      Sets 'objectId'. The id of the monitored object
      Parameters:
        `objectId` - Value of 'objectId'.

    - #### getObjectTitle

          public String getObjectTitle()

      Returns 'objectTitle'. The title of the monitored object
      Returns:
        Value of 'objectTitle'.

    - #### setObjectTitle

          public void setObjectTitle(String objectTitle)

      Sets 'objectTitle'. The title of the monitored object
      Parameters:
        `objectTitle` - Value of 'objectTitle'.

    - #### getProjectPathString

          public String getProjectPathString()

      Returns 'projectPathString'. The path of the project containing the file
      Returns:
        Value of 'projectPathString'.

    - #### setProjectPathString

          public void setProjectPathString(String projectPathString)

      Sets 'projectPathString'. The path of the project containing the file
      Parameters:
        `projectPathString` - Value of 'projectPathString'.

    - #### getProjectTitle

          public String getProjectTitle()

      Returns 'projectTitle'. The title of the project containing the file
      Returns:
        Value of 'projectTitle'.

    - #### setProjectTitle

          public void setProjectTitle(String projectTitle)

      Sets 'projectTitle'. The title of the project containing the file
      Parameters:
        `projectTitle` - Value of 'projectTitle'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.